Index: trunk/libIGCM/AA_additionnal
===================================================================
--- trunk/libIGCM/AA_additionnal	(revision 502)
+++ trunk/libIGCM/AA_additionnal	(revision 504)
@@ -25,5 +25,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_ADD
@@ -41,5 +41,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_ADD
Index: trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- trunk/libIGCM/AA_atlas_LMDZ	(revision 502)
+++ trunk/libIGCM/AA_atlas_LMDZ	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_LMDZ
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_LMDZ
Index: trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 502)
+++ trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 11:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_OPA
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_OPA
Index: trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 502)
+++ trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_ORCH
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_ORCH
Index: trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- trunk/libIGCM/AA_atlas_PISCES	(revision 502)
+++ trunk/libIGCM/AA_atlas_PISCES	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = ATL_PIS
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 10:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = ATL_PIS
Index: trunk/libIGCM/AA_create_multi_se
===================================================================
--- trunk/libIGCM/AA_create_multi_se	(revision 502)
+++ trunk/libIGCM/AA_create_multi_se	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = MULTISE
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = MULTISE
Index: trunk/libIGCM/AA_create_se
===================================================================
--- trunk/libIGCM/AA_create_se	(revision 502)
+++ trunk/libIGCM/AA_create_se	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = SE
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = SE
Index: trunk/libIGCM/AA_monitoring
===================================================================
--- trunk/libIGCM/AA_monitoring	(revision 502)
+++ trunk/libIGCM/AA_monitoring	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 1:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = MONITORING
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 1:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = MONITORING
Index: trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- trunk/libIGCM/AA_rebuild_fromArchive	(revision 502)
+++ trunk/libIGCM/AA_rebuild_fromArchive	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = REBUILDARCH
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = REBUILDARCH
Index: trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 502)
+++ trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 504)
@@ -24,5 +24,5 @@
 #-Q- sx8brodie #######################
 #-Q- sx8brodie # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- sx8brodie # @ wall_clock_limit = 20:00:00
+#-Q- sx8brodie # @ wall_clock_limit = 10:00:00
 #-Q- sx8brodie # Nom du travail LoadLeveler
 #-Q- sx8brodie # @ job_name   = REBUILDWRK
@@ -40,5 +40,5 @@
 #-Q- aix6 #######################
 #-Q- aix6 # Temps Elapsed max. d'une requete hh:mm:ss
-#-Q- aix6 # @ wall_clock_limit = 20:00:00
+#-Q- aix6 # @ wall_clock_limit = 10:00:00
 #-Q- aix6 # Nom du travail LoadLeveler
 #-Q- aix6 # @ job_name   = REBUILDWRK