Index: trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 581)
+++ trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 582)
@@ -924,6 +924,9 @@
 	  until [ $j -ge $nb_restart_file ]; do
 	    j4=${j}
-	    #eval IGCM_sys_Put_Rest ${generic_restart_file_name_in}_${j4}.nc \${R_OUT_${comp}_R}/${generic_restart_file_name_out}_${j4}.nc
-	    eval IGCM_sys_PutBuffer_Rest ${generic_restart_file_name_in}_${j4}.nc \${R_BUF_${comp}_R}/${generic_restart_file_name_out}_${j4}.nc
+	    if [ X${Pack} = Xtrue ] ; then
+	      eval IGCM_sys_PutBuffer_Rest ${generic_restart_file_name_in}_${j4}.nc \${R_BUF_${comp}_R}/${generic_restart_file_name_out}_${j4}.nc
+	    else
+	      eval IGCM_sys_Put_Rest ${generic_restart_file_name_in}_${j4}.nc \${R_OUT_${comp}_R}/${generic_restart_file_name_out}_${j4}.nc
+	    fi
 	    if [ ! ${file_in} = ${file_outin} ] ; then
 	      if ( ${ExitFlag} ) ; then
@@ -936,6 +939,9 @@
 	  done
 	else
-	  #eval IGCM_sys_Put_Rest ${file_in} \${R_OUT_${comp}_R}/${config_UserChoices_JobName}_${PeriodDateEnd}_${file_out}
-	  eval IGCM_sys_PutBuffer_Rest ${file_in} \${R_BUF_${comp}_R}/${config_UserChoices_JobName}_${PeriodDateEnd}_${file_out}
+	  if [ X${Pack} = Xtrue ] ; then
+	    eval IGCM_sys_PutBuffer_Rest ${file_in} \${R_BUF_${comp}_R}/${config_UserChoices_JobName}_${PeriodDateEnd}_${file_out}
+	  else
+	    eval IGCM_sys_Put_Rest ${file_in} \${R_OUT_${comp}_R}/${config_UserChoices_JobName}_${PeriodDateEnd}_${file_out}
+	  fi
 	  if [ ! ${file_in} = ${file_outin} ] ; then
 	    if ( ${ExitFlag} ) ; then
@@ -975,4 +981,13 @@
 	eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
 	eval file_out=${file_out_}
+	#
+	# Override file_out path remplacing R_SAVE by R_BUFR
+	#
+	if [ X${Pack} = Xtrue ] ; then
+	  file_out=$( echo $file_out | sed "s:^$R_SAVE:$R_BUFR:" )
+	fi
+	#
+	# Not necessarily the best option. /!\ Potential side effects /!\
+	#
 	(( i_ = i+2 ))
 	eval flag_post=\${${ListFilesName}[$i_]} > /dev/null 2>&1
@@ -1026,5 +1041,9 @@
 	    #
 	    if [ $DRYRUN -le 1 ]; then
-	      echo "IGCM_sys_Put_Out ${file_in} ${file_out}             " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      if [ X${Pack} = Xtrue ] ; then
+		echo "IGCM_sys_PutBuffer_Out ${file_in} ${file_out}     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      else
+		echo "IGCM_sys_Put_Out ${file_in} ${file_out}           " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      fi
 	      echo "IGCM_debug_Verif_Exit_Post                          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	      echo "IGCM_sys_Rm ${generic_file_name}_*.nc               " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -1065,5 +1084,9 @@
 	      done
 	      #
-	      echo "IGCM_sys_Put_Out ${file_in} ${file_out}           " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      if [ X${Pack} = Xtrue ] ; then
+		echo "IGCM_sys_PutBuffer_Out ${file_in} ${file_out}   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      else
+		echo "IGCM_sys_Put_Out ${file_in} ${file_out}         " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+	      fi
 	      echo "IGCM_debug_Verif_Exit_Post                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 	      #
@@ -1073,5 +1096,9 @@
 	    # No Patch, No Asynchronous rebuild, online rebuild has been done or was not needed
 	    #
-	    IGCM_sys_Put_Out ${file_in} ${file_out}
+	    if [ X${Pack} = Xtrue ] ; then
+	      IGCM_sys_PutBuffer_Out ${file_in} ${file_out}
+	    else
+	      IGCM_sys_Put_Out ${file_in} ${file_out}
+	    fi
 	    eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_in}" > /dev/null 2>&1
 	    if [ ${nb_rebuild_file} -gt 1 ] ; then
@@ -1128,6 +1155,9 @@
 		    (( i_ = i_ + 1 ))
 	      done
-	      #eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}_D}/${file_out}
-	      eval IGCM_sys_PutBuffer_Out ${file_out} \${R_BUF_${comp}_D}/${file_out}
+	      if [ X${Pack} = Xtrue ] ; then
+		eval IGCM_sys_PutBuffer_Out ${file_out} \${R_BUF_${comp}_D}/${file_out}
+	      else
+		eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}_D}/${file_out}
+	      fi
 	      eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_out}" > /dev/null 2>&1
 
@@ -1138,6 +1168,9 @@
 	      for file in ${list_file[@]}
 	      do
-		#eval IGCM_sys_Put_Out ${file} \${R_OUT_${comp}_D}/${PREFIX}_${file}
-		eval IGCM_sys_PutBuffer_Out ${file} \${R_BUF_${comp}_D}/${PREFIX}_${file}
+		if [ X${Pack} = Xtrue ] ; then
+		  eval IGCM_sys_PutBuffer_Out ${file} \${R_BUF_${comp}_D}/${PREFIX}_${file}
+		else
+		  eval IGCM_sys_Put_Out ${file} \${R_OUT_${comp}_D}/${PREFIX}_${file}
+		fi
 		eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file}" > /dev/null 2>&1
 
@@ -1151,6 +1184,9 @@
 	      eval IGCM_sys_Mv ${file_in}* ${file_in}
 	    fi
-	    #eval IGCM_sys_Put_Out ${file_in} \${R_OUT_${comp}_D}/${file_out}
-	    eval IGCM_sys_PutBuffer_Out ${file_in} \${R_BUF_${comp}_D}/${file_out}
+	    if [ X${Pack} = Xtrue ] ; then
+	      eval IGCM_sys_PutBuffer_Out ${file_in} \${R_BUF_${comp}_D}/${file_out}
+	    else
+	      eval IGCM_sys_Put_Out ${file_in} \${R_OUT_${comp}_D}/${file_out}
+	    fi
 	    eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_in}" > /dev/null 2>&1
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 581)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 582)
@@ -220,34 +220,34 @@
 # ============ FRONTEND START ============ #
 
-#  /bin/ksh <tmp_IGCM_sys_RshPost_$$
-#  if [ $? -gt 0 ] ; then
-#    echo "IGCM_sys_RshPost : erreur."
-#    IGCM_debug_Exit "IGCM_sys_RshPost"
-#  fi
-#  \rm tmp_IGCM_sys_RshPost_$$
+  /bin/ksh <tmp_IGCM_sys_RshPost_$$
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_RshPost : erreur."
+    IGCM_debug_Exit "IGCM_sys_RshPost"
+  fi
+  \rm tmp_IGCM_sys_RshPost_$$
 
 # ============ FRONTEND  END  ============ #
 
 # ============ CESIUM START ============ #
-  typeset NB_ESSAI DELAI status i
-  # number of tentative
-  NB_ESSAI=10
-  # time delay between tentative
-  DELAI=10
-  (( i = 0 ))
-  while [ $i -lt $NB_ESSAI ] ; do
-    ssh -t mercure01 ssh cesium /bin/ksh <tmp_IGCM_sys_RshPost_$$
-    status=$?
-    if [ ${status} -gt 0 ]; then
-      IGCM_debug_Print 2 "IGCM_sys_RshPost : ssh failed ${i}/${NB_ESSAI}"
-      IGCM_debug_Print 2 "IGCM_sys_RshPost : sleep ${DELAI} seconds and try again."
-      sleep $DELAI
-    else
-      break
-    fi
-    (( i = i + 1 ))
-  done 
-  # delete temporary file
-  /bin/rm tmp_IGCM_sys_RshPost_$$
+#  typeset NB_ESSAI DELAI status i
+#  # number of tentative
+#  NB_ESSAI=10
+#  # time delay between tentative
+#  DELAI=10
+#  (( i = 0 ))
+#  while [ $i -lt $NB_ESSAI ] ; do
+#    ssh -t mercure01 ssh cesium /bin/ksh <tmp_IGCM_sys_RshPost_$$
+#    status=$?
+#    if [ ${status} -gt 0 ]; then
+#      IGCM_debug_Print 2 "IGCM_sys_RshPost : ssh failed ${i}/${NB_ESSAI}"
+#      IGCM_debug_Print 2 "IGCM_sys_RshPost : sleep ${DELAI} seconds and try again."
+#      sleep $DELAI
+#    else
+#      break
+#    fi
+#    (( i = i + 1 ))
+#  done 
+#  # delete temporary file
+#  /bin/rm tmp_IGCM_sys_RshPost_$$
 # ============ CESIUM  END  ============ #
 
@@ -614,25 +614,25 @@
 # ============ FRONTEND START ============ #
 
-#  /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
+  /usr/bin/nqsII/qsub -q scalaire -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
 
 # ============ FRONTEND  END  ============ #
 
 # ============ CESIUM START ============ #
-  typeset NB_ESSAI DELAI status i
-  # number of tentative
-  NB_ESSAI=10
-  # time delay between tentative
-  DELAI=10
-  (( i = 0 ))
-  while [ $i -lt $NB_ESSAI ] ; do
-    /usr/local/bin/ccc_msub -o ${POST_DIR}/${Script_Post_Output}.out -e ${POST_DIR}/${Script_Post_Output}.e.out -E "-v ${listVarEnv}" ${libIGCM_POST}/$1.job
-    status=$?
-    if [ ${status} -gt 0 ]; then
-      sleep $DELAI
-    else
-      break
-    fi
-    (( i = i + 1 ))
-  done 
+#  typeset NB_ESSAI DELAI status i
+#  # number of tentative
+#  NB_ESSAI=10
+#  # time delay between tentative
+#  DELAI=10
+#  (( i = 0 ))
+#  while [ $i -lt $NB_ESSAI ] ; do
+#    /usr/local/bin/ccc_msub -o ${POST_DIR}/${Script_Post_Output}.out -e ${POST_DIR}/${Script_Post_Output}.e.out -E "-v ${listVarEnv}" ${libIGCM_POST}/$1.job
+#    status=$?
+#    if [ ${status} -gt 0 ]; then
+#      sleep $DELAI
+#    else
+#      break
+#    fi
+#    (( i = i + 1 ))
+#  done 
 # ============ CESIUM  END  ============ #
 